const express = require('express');
const router = express.Router();
const ctfController = require('../controllers/ctfController');
const { protect } = require('../middleware/authMiddleware');

router.post('/progress', protect, ctfController.saveProgress);
router.get('/progress', protect, ctfController.getProgress);

module.exports = router;
